Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572287 - Review Request: nodejs-istanbul-lib-hook - Hooks for require, vm and script used in istanbul
Summary: Review Request: nodejs-istanbul-lib-hook - Hooks for require, vm and script u...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews mozgw
TreeView+ depends on / blocked
 
Reported: 2018-04-26 15:56 UTC by Jared Smith
Modified: 2018-05-11 13:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 13:38:20 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2018-04-26 15:56:56 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-istanbul-lib-hook/nodejs-istanbul-lib-hook.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-istanbul-lib-hook/nodejs-istanbul-lib-hook-1.1.0-1.fc29.src.rpm
Description: Hooks for require, vm and script used in istanbul
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 🐧 2018-04-26 17:50:31 UTC
 - You seem to have forgotten to add the test dependencies:

Exécution_de(%check) : /bin/sh -e /var/tmp/rpm-tmp.E6jeb5
+ umask 022
+ cd /builddir/build/BUILD
+ cd package
+ /usr/lib/rpm/nodejs-symlink-deps /usr/lib/node_modules --check
+ /usr/bin/node -e 'require("./")'
BUILDSTDERR: module.js:549
BUILDSTDERR:     throw err;
BUILDSTDERR:     ^
BUILDSTDERR: Error: Cannot find module 'append-transform'

Exécution_de(%check) : /bin/sh -e /var/tmp/rpm-tmp.0TN5X6
+ umask 022
+ cd /builddir/build/BUILD
+ cd package
+ /usr/lib/rpm/nodejs-symlink-deps /usr/lib/node_modules --check
+ /usr/bin/node -e 'require("./")'
+ NODE_ENV=test
+ /usr/bin/mocha -R spec
BUILDSTDERR: module.js:549
BUILDSTDERR:     throw err;
BUILDSTDERR:     ^
BUILDSTDERR: Error: Cannot find module 'chai'

   Add them:

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(append-transform)
BuildRequires:	npm(chai)
%endif

Comment 2 Jared Smith 2018-05-02 18:27:50 UTC
Could you please test again?  It's possible I had an old version of the files uploaded to my web server.

Comment 3 Robert-André Mauchin 🐧 2018-05-02 18:43:50 UTC
 - Latest version packaged
 - License ok
 - Builds in Mock
 - No rpmlint errors
 - Conforms to the Packaging Guidelines

Package approved.

Comment 4 Jared Smith 2018-05-02 18:50:11 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/6414.

Comment 5 Jared Smith 2018-05-02 19:55:05 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/6416.

Comment 6 Gwyn Ciesla 2018-05-02 22:32:07 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-istanbul-lib-hook

Comment 7 Jared Smith 2018-05-11 13:38:20 UTC
Packaged in Rawhide, closing this issue


Note You need to log in before you can comment on or make changes to this bug.